## python-steadymark 0.4.5

=== Makefile ===
all: test

filename=steadymark-`python -c 'import steadymark;print steadymark.version'`.tar.gz

export PYTHONPATH:=  ${PWD}

test: clean unit functional integration

unit:
	@echo "Running unit tests"
	@nosetests --verbosity=2 -s tests/unit

functional:
	@python steadymark/__init__.py

integration:
	@nosetests --verbosity=2 -s tests/integration

clean:
	@printf "Cleaning up files that are already in .gitignore... "
	@for pattern in `cat .gitignore`; do rm -rf $$pattern; find . -name "$$pattern" -exec rm -rf {} \;; done
	@echo "OK!"

release: test publish
	@printf "Exporting to $(filename)... "
	@tar czf $(filename) steadymark setup.py README.md COPYING
	@echo "DONE!"

publish:
	@python setup.py sdist register upload

=== debian/changelog ===
python-steadymark (0.4.5-3) unstable; urgency=medium

  * Added missing build-depends: python-misaka.

 -- Thomas Goirand <zigo@debian.org>  Fri, 13 Dec 2013 13:09:20 +0800

python-steadymark (0.4.5-2) unstable; urgency=low

  * Added missing build-depends: python-nose, python-sure (Closes: #724132).

 -- Thomas Goirand <zigo@debian.org>  Sat, 21 Sep 2013 13:25:54 +0800

python-steadymark (0.4.5-1) unstable; urgency=low

  * Initial release. (Closes: #721708)

 -- Thomas Goirand <zigo@debian.org>  Tue, 03 Sep 2013 18:03:24 +0800

=== debian/control ===
Source: python-steadymark
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Julien Danjou <acid@debian.org>,
           Thomas Goirand <zigo@debian.org>,
           Mehdi Abaakouk <sileht@sileht.net>
Build-Depends: debhelper (>= 9),
               openstack-pkg-tools,
               python-all (>= 2.6.6-3~),
               python-misaka,
               python-nose,
               python-sure,
               python-setuptools
Standards-Version: 3.9.4
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-steadymark.git
Vcs-Git: git://anonscm.debian.org/openstack/python-steadymark.git
Homepage: http://github.com/gabrielfalcao/steadymark

Package: python-steadymark
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: bpython,
         ipython,
         python-ipdb,
         python-misaka,
         python-nose,
         python-pygments,
         python-sure,
         ${misc:Depends},
         ${python:Depends}
Recommends: ${python:Recommends}
Description: markdown-based test runner
 Write your documentation using github-flavored markdown, surround your
 snippets with Python code blocks and steadymark will automatically find and
 run them, if there is a header preceding your Python snippet it will be used
 as title for your test.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT = git://github.com/gabrielfalcao/steadymark.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	make test
endif

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/s/steadymark steadymark-(.*).tar.gz
